using System;
using System.Collections.Generic;
using System.Text;
using System.Runtime.Serialization;

namespace SoftwareInstallerLibrary
{
    [DataContract]
    public class SoftwareInstallReport
    {

        private string softName;

        [DataMember]
        public string SoftwareName
        {
            get { return softName; }
            set { softName = value; }
        }

        private string comment;

        [DataMember]
        public string Comment
        {
            get { return comment; }
            set { comment = value; }
        }

        private InstallState installState;

        [DataMember]
        public InstallState InstallState
        {
            get { return installState; }
            set { installState = value; }
        }

    }

    [DataContract]
    public enum InstallState
    {
        [DataMember]
        Installed,
        [DataMember]
        Failure,
        [DataMember]
        AllreadyInstalled
    }
}
