using System;
using System.Collections.Generic;
using System.Text;
using System.Runtime.Serialization;

namespace SoftwareInstallerLibrary
{

    /// <summary>
    /// Classe dfinissant un rapport suite  l'installation de logiciel sur le client
    /// </summary>
    [DataContract]
    public class ClientReport
    {

        private DateTime date;

        [DataMember]
        public DateTime Date
        {
            get { return date; }
            set { date = value; }
        }

        private string clientName;

        public string ClientName
        {
            get { return clientName; }
            set { clientName = value; }
        }

        private List<SoftwareInstallReport> installReports;

        public List<SoftwareInstallReport> InstallReports
        {
            get { return installReports; }
            set { installReports = value; }
        }


    }
}
