using System.Collections.Generic;
using System.Text;
using System;
using System.ServiceModel;

namespace SoftwareInstallerServerService
{
    static class Program
    {

        private static ServiceHost host;
        private static RemoteService remoteService;

        /// <summary>
        /// The main entry point for the application.
        /// </summary>
        static void Main()
        {
            remoteService = new RemoteService();

            //Publication de la classe en singleton
            host = new ServiceHost(remoteService);

            //Ouverture du canal de communication
            host.Open();

            Console.WriteLine("Appuyer sur une touche pour arreter le serveur");
            Console.ReadLine();

            //Fermeture du canal de communication
            host.Close();
        }
    }
}